Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
thread.h File Reference
`#include "ruby/intern.h"`
Include dependency graph for thread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RUBY_CALL_WO_GVL_FLAG_SKIP_CHECK_INTS_AFTER 0x01
#define | RUBY_CALL_WO_GVL_FLAG_SKIP_CHECK_INTS_

## Functions
void * | rb_thread_call_with_gvl (void *(*func)(void *), void *data1)
void * | rb_thread_call_without_gvl (void *(*func)(void *), void *data1, rb_unblock_function_t *ubf, void *data2)
void * | rb_thread_call_without_gvl2 (void *(*func)(void *), void *data1, rb_unblock_function_t *ubf, void *data2)

## Macro Definition Documentation

#define RUBY_CALL_WO_GVL_FLAG_SKIP_CHECK_INTS_

Definition at line 36 of file thread.h.

#define RUBY_CALL_WO_GVL_FLAG_SKIP_CHECK_INTS_AFTER 0x01

Definition at line 35 of file thread.h.

## Function Documentation

void* rb_thread_call_with_gvl | ( | void *(*)(void *) | func,
|  | void * | data1
| ) |  |

Definition at line 1401 of file thread.c.

References rb_unblock_callback::arg, blocking_region_begin(), rb_thread_struct::blocking_region_buffer, blocking_region_end(), EXIT_FAILURE, FALSE, rb_unblock_callback::func, if(), r, rb_bug(), th, and rb_thread_struct::unblock.

Referenced by garbage_collect_with_gvl(), maygvl_copy_stream_continue_p(), negative_size_allocation_error(), ruby_memerror(), and zstream_run_func().

void* rb_thread_call_without_gvl | ( | void *(*)(void *) | func,
|  | void * | data1,
|  | rb_unblock_function_t * | ubf,
|  | void * | data2
| ) |  |

Referenced by bigdivrem(), copy_stream_body(), curses_getch(), curses_getstr(), dh_generate(), dsa_generate(), maygvl_close(), maygvl_fclose(), rb_getaddrinfo(), rb_getnameinfo(), rb_sysopen_internal(), rb_thread_blocking_region(), rb_waitpid(), rsa_generate(), window_getch(), window_getstr(), and zstream_run().

void* rb_thread_call_without_gvl2 | ( | void *(*)(void *) | func,
|  | void * | data1,
|  | rb_unblock_function_t * | ubf,
|  | void * | data2
| ) |  |

Definition at line 1317 of file thread.c.

References call_without_gvl(), func, and TRUE.

Referenced by io_flush_buffer_async2(), and rb_write_internal2().